Package org.kapott.hbci.datatypes

# Class SyntaxDTAUS

java.lang.Object
org.kapott.hbci.datatypes.SyntaxDE
org.kapott.hbci.datatypes.SyntaxAN
org.kapott.hbci.datatypes.SyntaxDTAUS

public class SyntaxDTAUS extends SyntaxAN

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SyntaxDTAUS()`
``
`SyntaxDTAUS(StringBuffer res, int minsize, int maxsize)`
``
`SyntaxDTAUS(String x, int minlen, int maxlen)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`check(String st)`
`protected void`
`init()`
`void`
`init(StringBuffer res, int minsize, int maxsize)`
`void`
`init(String x, int minlen, int maxlen)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxAN

`quote, toString, unquote`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SyntaxDTAUS

public SyntaxDTAUS(String x, int minlen, int maxlen)

### SyntaxDTAUS

protected SyntaxDTAUS()

### SyntaxDTAUS

public SyntaxDTAUS(StringBuffer res, int minsize, int maxsize)

## Method Details

### check

public static String check(String st)

### init

public void init(String x, int minlen, int maxlen)

Overrides:
  `init` in class `SyntaxAN`

### init

protected void init()

Overrides:
  `init` in class `SyntaxAN`

### init

public void init(StringBuffer res, int minsize, int maxsize)

Overrides:
  `init` in class `SyntaxAN`

### toString

public String toString()

Overrides:
  `toString` in class `SyntaxDE`
Returns:
  Die human-reable Repraesentation dieses Elementes